Bug 868587 - fipstest.c:930: error: 'HASH_AlgSHA224' undeclared
fipstest.c:930: error: 'HASH_AlgSHA224' undeclared
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nss-softokn (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 20:33 EDT by Mr-4
Modified: 2012-10-22 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 12:27:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mr-4 2012-10-20 20:33:07 EDT
Description of problem:
During compilation (building from srpm) I get the following errors:
fipstest.c: In function 'sftk_fips_HMAC_PowerUpSelfTest':
fipstest.c:930: error: 'HASH_AlgSHA224' undeclared (first use in this function)
fipstest.c:930: error: (Each undeclared identifier is reported only once
fipstest.c:930: error: for each function it appears in.)
fipstest.c:934: error: 'SHA224_LENGTH' undeclared (first use in this function)
fipstest.c: In function 'sftk_fips_SHA_PowerUpSelfTest':
fipstest.c:1051: error: implicit declaration of function 'SHA224_HashBuf'
fipstest.c:1056: error: 'SHA224_LENGTH' undeclared (first use in this function)
make[2]: *** [Linux3.3_x86_64_glibc_PTH_64_OPT.OBJ/fipstest.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/nss-softokn-3.13.4/mozilla/security/nss/lib/softoken'
make[1]: *** [libs] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/nss-softokn-3.13.4/mozilla/security/nss/lib'
make: *** [libs] Error 2
make: Leaving directory `/builddir/build/BUILD/nss-softokn-3.13.4/mozilla/security/nss'
error: Bad exit status from /var/tmp/rpm-tmp.UfgtKO (%build)


Version-Release number of selected component (if applicable):
3.13.4

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bb nss-softokn
2.
3.
  
Actual results:
The above errors

Expected results:
Compilation to succeed.

Additional info:
grep -r "HASH_AlgSHA224" indicates that this is defined in a couple of places:
/mozilla/dist/public/nss/hasht.h
/mozilla/security/nss/lib/freebl/hasht.h
Comment 1 Elio Maldonado Batiz 2012-10-21 17:26:07 EDT
Hi Mr-4, You are using 3.13.4 and that's likely the problem. The current version of nss-softokn is 3.13.6.

Please download the srpm from 
http://koji.fedoraproject.org/koji/buildinfo?buildID=358521
and copy that to it to ~/rpmbuild/SRPM. 
1. cd ~/rembuild/SRPM
2. rpm -ihv nss-softokn-3.13.6-1.fc16.src.rpm
3. cd ../SPECS
4. rpmbuild -bb nss-softokn
which works as expected and so does rpmbuild -ba nss-softokn.
Comment 2 Mr-4 2012-10-22 12:15:53 EDT
Thanks, the new version works flawlessly, so it must have been a specific gremlin to the particular version I've had on my machine. You may close this, thanks again.

Note You need to log in before you can comment on or make changes to this bug.